# Users.sessions: delete

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/fit/rest/v1/reference/users/sessions/delete#auth).

Deletes a session specified by the given session ID.
[Try it now](https://developers.google.com/fit/rest/v1/reference/users/sessions/delete#try-it).

## Request

### HTTP request

```
DELETE https://www.googleapis.com/fitness/v1/users/userId/sessions/sessionId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `sessionId` | `string` | The ID of the session to be deleted. |
| `userId` | `string` | Delete a session for the person identified. Use `me` to indicate the authenticated user. Only `me` is supported at this time. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/fitness.activity.write` |

For more information, see the [authentication and authorization](https://developers.google.com/fit/rest/v1/authorization) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.